Author: Sergei Golovan
Description: Patch moves hex dependencies to external applications
 because they are to be installed using APT and not hex in Debian.
Last-Modified: Fri, 01 Mar 2024 14:53:49 +0300

--- a/mix.exs
+++ b/mix.exs
@@ -24,7 +24,7 @@
 
   def application do
     [
-      extra_applications: [:eex] ++ extra_applications(Mix.env()),
+      extra_applications: [:eex] ++ extra_applications(Mix.env()) ++ [:makeup, :earmark_parser],
       mod: {ExDoc.Application, []}
     ]
   end
@@ -34,7 +34,6 @@
 
   defp deps do
     [
-      {:earmark_parser, "~> 1.4.39"},
       {:makeup_elixir, "~> 0.14 or ~> 1.0"},
       {:makeup_erlang, "~> 0.1 or ~> 1.0"},
       # Add other makeup lexers as optional for the executable
